Bug 23998 - RFE- perl-TK - roll-in to main distribution status
RFE- perl-TK - roll-in to main distribution status
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-14 13:31 EST by R P Herrold
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-12 16:52:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-01-14 13:31:32 EST
Per discussion on testers-list:

> I'll RFE it for inclusion in the mainline distribution at
> 7.2, and Powertools for 7.1.  I too had a need for it the
> other day, and it seems a reasonable paring of tools to
> leverage from.  

> I'd like to see how big it is, and _if_ it is less than
>
>    rpm -q python --qf '%{SIZE}\n'

 rpm -q python --qf '%{SIZE}\n'
6791771                   

rpm -qp perl-Tk-800.022-11.src.rpm --qf '%{SIZE}\n'
3465739
 
rpm -qp perl-Tk-800.022-1pm --qf '%{SIZE}\n'
5215516         

...The suggestion has been put forth that a Python 'strategic dependency' exists by Red Hat staff.

Perl, and tools for alternative graphical development in perl (perl-Tk) are smaller (although not by a lot <smile>)
 
------------------

Please consider this a RFE to add perl-TK in the Powertools 7.1 and following in all versions, and in 7.2 mail distribution, on the second disk (Assuming that the print documentation is already locked as to package list); If it is NOT too late to catch the 7.1 print doco list, I would suggest it belongs in sooner.

-- Russ Herrold
Comment 1 Tim Powers 2001-01-14 15:58:31 EST
It won't make it into Powertools 7.1, but possibly the version following (If you
remind me I'll put it in)

Right now it's just too late to start adding packages.

Tim
Comment 2 R P Herrold 2001-04-10 23:46:48 EDT
Re-open for consideration of proposed RFE in RH 7.2
Comment 3 R P Herrold 2001-09-27 23:25:17 EDT
Frown ... perl-TK has disappeared from RawHide -- probably part fo the paring
down and removal of the Powertools ...

But this remains strategic and I submit appropriate for inclusion.
Comment 4 R P Herrold 2001-12-06 16:41:29 EST
yayy -- movement -- see:

ftp://www.owlriver.com/pub/local/ORC/perl-Tk

for a 'rough draft' --- I have a butchered spec file and some hack's -- which 
need a %descrioption and revision history

-- Russ
Comment 5 R P Herrold 2002-03-12 16:52:42 EST
Is this a dead issue>  We are nearing freeze on RH 7.3:

Please ... May this get resolved before 7.3 feature freazes ?

On Tue, 12 Mar 2002, Bernhard Rosenkraenzer wrote:

> I don't think this will be ready for 7.3 though, only a couple of days
> left for adding features.

Comment 6 Chip Turner 2002-03-12 17:03:22 EST
perl-Tk is too large; Gtk-Perl is the recommended Perl GUI toolkit for 7.x.  It
won't be in 7.3 and probably not 8.x either, sorry.  It may make an appearance
via RHN as an add-on at some point, but no promises.

Note You need to log in before you can comment on or make changes to this bug.